DeluxHostAPI Reference
Dedicated servers & virtual machines

Get installation progress

GET
/v1/services/{serviceId}/tenantos/install

Authorization

apiToken services:read
headerAuthorizationBearer <token>

A personal API token: Authorization: Bearer dh_live_…. See Authentication for scopes.

Scope: services:read

Path Parameters

serviceId*number

Response Body

Operation completed or accepted; asynchronous actions may still be running.

application/json
  1. response
running*boolean
completed*boolean
canCancel*boolean
step*null|number
steps*array<string>
curl -X GET 'https://api.deluxhost.net/v1/services/0/tenantos/install' \  -H "Authorization: Bearer $DELUXHOST_TOKEN"
Example Response
{  "running": true,  "completed": true,  "canCancel": true,  "step": null,  "steps": [    "string"  ]}